Skip to content

Runs a workflow action

Currently supported actions: [run, runPartList]

  • run – Invoke a file system or query-based job.
  • runPartList – Invoke a REST-driven job including the specified components and optional inputs. When using the runPartList endpoint, regardless of whether you intend to specify costing input values, you must include the costingInputs section in the request body.
    POST /api/workflows/{workflowIdentity}/{action}
    

Parameters

Type Name Description Schema
Path action required action string
Path workflowIdentity required workflowIdentity string

Responses

HTTP Code Description Schema
200 OK WorkflowActionResult
201 Created No Content
400 Bad Request No Content
401 Unauthorized No Content
403 Forbidden No Content
404 Resource Not Found No Content
415 Unsupported Media Type No Content

Consumes

  • application/json

Produces

  • application/json;charset=UTF-8

Tags

  • Workflow

Security

Type Name
apiKey Shared Secret
apiKey JWT Bearer

runPartList Syntax

{
   "cidPartNumber": "",
   "cicStatus": "",
   "errorMessage": "",
   "cidPartLink": "",
   "partId": "",
   "partNumber": "",
   "partName": "",
   "revisionNumber": "",
   "checkInUser": "",
   "description": "",
   "partType": "",
   "input": {
      "materialName": "",
      "processGroupName": "",
      "vpeName": "",
      "annualVolume": "",
      "batchSize": "",
      "productionLife": ""
   },
   "result": {
      "fullyBurdenedCost": "",
      "dfmRisk": "",
      "totalCost": "",
      "materialCost": "",
      "cycleTime": "",
      "laborTime": "",
      "finishMass": "",
      "roughMass": "",
      "utilization": "",
      "routingName": "",
      "dfmScore": ""
   }
}

runPartList Example

   {
      "parts": [
         {
            "id" : "abcplmpartid",
            "costingInputs" : {
               "description": "CIG analysis",
               "scenarioName": "Initial",
               "processGroupName": "Plastic Molding",
               "materialName": "ABS",
               "annualVolume": "10000",
               "batchSize": "1000",
               "productionLife": "10",
               "vpeName": "aPriori USA",
               "sampleUDA1": "Project Alpha"
               "sampleUDA2": "Design"
               "sampleUDA3":"18"
               },
            "relativeCadFilePath" : null
        }
      ]
   }